<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      <span *ngIf="addEdit">{{addEdit}}</span> User
    </div>
    <div class="card-body">
      <form [formGroup]="addNewUserForm">
        <div class="jumbotron">
          <div class="row">
            <div class="col-sm-4">
              <div class="form-group">
                <label for="fullName">Full Name <span class="required">*</span></label>
                <input type="text"
                       class="form-control"
                       id="fullName"
                       [ngClass]="{ 'is-invalid': submitted && f.fullName.errors }"
                       formControlName="fullName"
                       placeholder="Enter Full Name"
                       required
                >
                <div *ngIf="submitted && f.fullName.errors" class="invalid-feedback">
                  <div *ngIf="f.fullName.errors.required">Full Name is required.</div>
                </div>
              </div>
              <div class="form-group">
                <label for="mobileNumber">Mobile Number<span class="required">*</span></label>
                <input type="text"
                       class="form-control"
                       id="mobileNumber"
                       [ngClass]="{ 'is-invalid': submitted && f.mobileNumber.errors }"
                       formControlName="mobileNumber"
                       placeholder="Enter Mobile Number"
                       required
                >
                <div *ngIf="submitted && f.mobileNumber.errors" class="invalid-feedback">
                  <div *ngIf="f.mobileNumber.errors.required">Mobile Number is required.</div>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="username">Username<span class="required">*</span></label>
                <input type="text"
                       class="form-control"
                       id="username"
                       formControlName="username"
                       [ngClass]="{ 'is-invalid': submitted && f.username.errors }"
                       placeholder="Enter username"
                       required
                >
                <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
                  <div *ngIf="f.username.errors.required">Username is required.</div>
                </div>
              </div>
              <div class="form-group">
                <label for="email">Email<span class="required">*</span></label>
                <input type="email"
                       class="form-control"
                       id="email"
                       formControlName="email"
                       [ngClass]="{ 'is-invalid': submitted && f.email.errors }"
                       placeholder="Enter Email Address"
                       required
                >
                <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                  <div *ngIf="f.email.errors.required">Email is required.</div>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="employeeId">Employee Id<span class="required">*</span></label>
                <input type="text"
                       class="form-control"
                       id="employeeId"
                       [ngClass]="{ 'is-invalid': submitted && f.employeeId.errors }"
                       formControlName="employeeId"
                       placeholder="Enter Subject"
                       required
                >
                <div *ngIf="submitted && f.employeeId.errors" class="invalid-feedback">
                  <div *ngIf="f.employeeId.errors.required">Employee Id is required.</div>
                </div>
              </div>
              <div class="form-group">
                <label for="designation">Designation<span class="required">*</span></label>
                <select id="designation"
                        class="form-control"
                        formControlName="designation"
                        [ngClass]="{ 'is-invalid': submitted && f.designation.errors }"
                        name="expType"
                        required>
                  <option *ngFor="let event of (designations); let i = index"
                          [ngValue]="(designations)[i]"
                  >{{(designations)[i].value +' ( '+ (designations)[i].name +' )' }}</option>
                </select>
                <div *ngIf="submitted && f.designation.errors" class="invalid-feedback">
                  <div *ngIf="f.designation.errors.required">Designation is required.</div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="jumbotron">
          <div class="row">
            <div class="col-sm-4">
              <div class="form-group">
                <label for="department">Branch<span class="required">*</span></label>
                <select id="branch"
                        class="form-control"
                        name="branch"
                        formControlName="branch"
                        [ngClass]="{ 'is-invalid': submitted && f.branch.errors }"
                        required>
                  <option *ngFor="let event of (branchs); let i = index"
                          [ngValue]="(branchs)[i]"
                  >{{(branchs)[i].name + ' ( ' + (branchs)[i].code + ' )' }}</option>
                </select>
                <div *ngIf="submitted && f.branch.errors" class="invalid-feedback">
                  <div *ngIf="f.branch.errors.required">Branch is required.</div>
                </div>
              </div>

              <div class="form-group">
                <label for="groupType">Group Type</label>
                <select id="groupType"
                        class="form-control"
                        name="userGroup"
                        formControlName="groupType">
                  <select value="0">Select</select>
                  <option *ngFor="let event of (groupTypes); let i = index"
                          [ngValue]="(groupTypes)[i]"
                  >{{ (groupTypes)[i].name }}</option>
                </select>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="department">Department<span class="required">*</span></label>
                <select id="department"
                        class="form-control"
                        name="department"
                        [ngClass]="{ 'is-invalid': submitted && f.department.errors }"
                        formControlName="department"
                        required>
                  <option *ngFor="let event of (departments); let i = index"
                          [ngValue]="(departments)[i]"
                  >{{(departments)[i].name + ' ( ' + (departments)[i].code + ' )' }}</option>
                </select>
                <div *ngIf="submitted && f.department.errors" class="invalid-feedback">
                  <div *ngIf="f.department.errors.required">Department is required.</div>
                </div>
              </div>
              <div class="form-group">
                <label for="userGroup">Parent</label>
                <select id="parent"
                        class="form-control"
                        name="userGroup"
                        formControlName="parent">
                  <option value="0">Select</option>
                  <option *ngFor="let event of (parents); let i = index"
                          [ngValue]="(parents)[i]"
                  >{{(parents)[i].fullName + ' ( ' + (parents)[i].designation + ' )' }}</option>
                </select>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="form-group">
                <label for="userGroup">User Group<span class="required">*</span></label>
                <select id="userGroup"
                        class="form-control"
                        name="userGroup"
                        [ngClass]="{ 'is-invalid': submitted && f.userGroup.errors }"
                        formControlName="userGroup"
                        required>
                  <option *ngFor="let event of (userGroups); let i = index"
                          [ngValue]="(userGroups)[i]"
                  >{{(userGroups)[i].description + ' ( ' + (userGroups)[i].description + ' )' }}</option>
                </select>
                <div *ngIf="submitted && f.userGroup.errors" class="invalid-feedback">
                  <div *ngIf="f.userGroup.errors.required">User Group is required.</div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="jumbotron">
          <div class="row">
            <div class="col-sm-3">
              <div class="form-group">
                <p-checkbox label="Can Support"
                            [binary]="true"
                            formControlName="canSupport"
                            checkboxIcon="pi pi-check">
                </p-checkbox>
              </div>
            </div>
            <div class="col-sm-3">
              <div class="form-group">
                <p-checkbox label="Can Approve"
                            [binary]="true"
                            formControlName="canApprove"
                            checkboxIcon="pi pi-check"
                            id="canApprove">
                </p-checkbox>
              </div>
            </div>
            <div class="col-sm-3">
              <div class="form-group">
                <p-checkbox label="Can Verify"
                            [binary]="true"
                            formControlName="canVerify"
                            checkboxIcon="pi pi-check"
                            id="canVerify">
                </p-checkbox>
              </div>
            </div>
            <div class="col-sm-3">
              <div class="form-group">
                <p-checkbox label="Can Make Payment"
                            [binary]="true"
                            formControlName="canMakePayment"
                            checkboxIcon="pi pi-check"
                            id="canMakePayment">
                </p-checkbox>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-success btn-block"
                  (click)="Confirm()">
            Submit
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-danger btn-block"
                  (click)="cancel()">
            Cancel
          </button>
        </div>
      </div>
    </div>
  </div>
</div>


<p-dialog [(visible)]="showConfirmation"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">User Detail</h3>
  </p-header>

  <div class="row">
    <div class="col-md-12 mt-3">
      <div class="col-md-6 form-group float-left">
        <label>Full Name :</label>
        <p>{{ addNewUserForm.value.fullName }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Username :</label>
        <p>{{ addNewUserForm.value.username }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Mobile Number :</label>
        <p>{{ addNewUserForm.value.mobileNumber }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Email :</label>
        <p>{{ addNewUserForm.value.email }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Designation:</label>
        <p>{{ addNewUserForm.value.designation?.value }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Branch :</label>
        <p>{{ addNewUserForm.value.branch?.name }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Department :</label>
        <p>{{ addNewUserForm.value.department?.name }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Group:</label>
        <p>{{ addNewUserForm.value.userGroup?.description }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Group Type:</label>
        <p>{{ addNewUserForm.value.groupType?.name }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Can Support:</label>
        <p>{{ addNewUserForm.value.canSupport }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Can Approve:</label>
        <p>{{ addNewUserForm.value.canApprove }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Can Approve:</label>
        <p>{{ addNewUserForm.value.canVerify }}</p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Can Make Payment:</label>
        <p>{{ addNewUserForm.value.canMakePayment }}</p>
      </div>
    </div>
  </div>
  <footer>
    <div class="row">
      <div class="col-md-12">
        <div class="col-md-12 mb-3">
          <button class="btn btn-sm btn-success float-right"
                  type="submit"
                  [disabled]="loading"
                  (click)="onSubmit()"
                  >Confirm
          </button>
          <button class="btn btn-danger btn-sm btn-outline- ml-3 float-right"
                  type="button"
                  (click)="showConfirmation=false">
            Cancel
          </button>
        </div>
      </div>
    </div>
  </footer>
</p-dialog>

